View Issue Details

IDProjectCategoryView StatusLast Update
0007718LazarusLCLpublic2011-12-01 11:22
ReporterMichael Van Canneyt Assigned ToPaul Ishenin  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Target Version1.0.0Fixed in Version0.9.27 (SVN) 
Summary0007718: None of the standard actions does anything ?
DescriptionEither I totally misunderstand the code in stdactns, or else the
actions defined there do not work; they don't do anything at all.
e.g. Cut, Copy and Paste don't do anything. The dialog actions never show the dialog.
TagsNo tags attached.
Fixed in Revision
LazTarget1.0
WidgetsetGTK
Attached Files

Relationships

related to 0010817 closedVincent Snijders Streaming Error after placing the Standart-Action TFileOpen on a form. 

Activities

Silvia

2007-01-22 15:40

reporter   ~0011011

Same problem on Win32.
The dialog property of the action (some standard action) couldn't be set (if some dialog control is added to the form it appears on the dropdown list, but it cannot be select). On Delphi "The open dialog component is created by the TFileOpen constructor", for example.

Paul Ishenin

2009-09-02 14:38

manager   ~0030319

This was fixed in 0.9.27. Please retest and close if ok.

Issue History

Date Modified Username Field Change
2006-10-31 21:12 Michael Van Canneyt New Issue
2006-10-31 21:12 Michael Van Canneyt Target => -
2006-10-31 21:12 Michael Van Canneyt Widgetset => GTK
2006-12-02 12:30 Vincent Snijders LazTarget - => 1.0
2006-12-02 12:30 Vincent Snijders Status new => acknowledged
2007-01-22 15:40 Silvia Note Added: 0011011
2008-02-13 00:21 Vincent Snijders Relationship added related to 0010817
2008-04-24 09:57 Vincent Snijders Target Version => 1.0.0
2009-09-02 14:38 Paul Ishenin Status acknowledged => resolved
2009-09-02 14:38 Paul Ishenin Fixed in Version => 0.9.27 (SVN)
2009-09-02 14:38 Paul Ishenin Resolution open => fixed
2009-09-02 14:38 Paul Ishenin Assigned To => Paul Ishenin
2009-09-02 14:38 Paul Ishenin Note Added: 0030319
2011-12-01 11:22 Marc Weustink Status resolved => closed